from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String

Rsem_Control_Fdr_V0_1_0 = CommandToolBuilder(tool="rsem_control_fdr", base_command=["rsem-control-fdr"], inputs=[ToolInput(tag="in_hard_threshold", input_type=Boolean(optional=True), prefix="--hard-threshold", doc=InputDocumentation(doc="Use hard threshold method to control FDR. If this option is set,\nonly those genes/transcripts with their PPDE >= 1 - fdr_rate are\ncalled as DE. (Default: on)")), ToolInput(tag="in_soft_threshold", input_type=Boolean(optional=True), prefix="--soft-threshold", doc=InputDocumentation(doc="Use soft threshold method to control FDR. If this option is set,\nthis program will try to report as many genes/transcripts as\npossible, as long as their average PPDE >= 1 - fdr_rate. This option\nis equivalent to use EBSeq's 'crit_fun' for FDR control. (Default:\noff)")), ToolInput(tag="in_input_file", input_type=String(), position=0, doc=InputDocumentation(doc="This should be the main result file generated by 'rsem-run-ebseq',\nwhich contains all genes/transcripts and their associated\nstatistics.")), ToolInput(tag="in_fdr_rate", input_type=String(), position=1, doc=InputDocumentation(doc="The desire false discovery rate (FDR).")), ToolInput(tag="in_output_file", input_type=String(), position=2, doc=InputDocumentation(doc="This file is a subset of the 'input_file'. It only contains the\ngenes/transcripts called as differentially expressed (DE). When more\nthan 2 conditions exist, DE is defined as not all conditions are\nequally expressed. Because statistical significance does not\nnecessarily mean biological significance, users should also refer to\nthe fold changes to decide which genes/transcripts are biologically\nsignificant. When more than two conditions exist, this file will not\ncontain fold change information and users need to calculate it from\n'input_file.condmeans' by themselves."))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Rsem_Control_Fdr_V0_1_0().translate("wdl", allow_empty_container=True)

